Bug 730776 - Add --disable-ocaml, --disable-perl, --disable-python, --disable-ruby configure options to hivex.
Summary: Add --disable-ocaml, --disable-perl, --disable-python, --disable-ruby configu...
Keywords:
Status: CLOSED UPSTREAM
Alias: None
Product: Fedora
Classification: Fedora
Component: hivex
Version: 19
Hardware: Unspecified
OS: Unspecified
unspecified
unspecified
Target Milestone: ---
Assignee: Richard W.M. Jones
QA Contact: Fedora Extras Quality Assurance
URL:
Whiteboard:
Depends On:
Blocks:
TreeView+ depends on / blocked
 
Reported: 2011-08-15 18:15 UTC by Richard W.M. Jones
Modified: 2014-08-04 08:44 UTC (History)
4 users (show)

Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Clone Of:
Environment:
Last Closed: 2014-08-04 08:44:09 UTC


Attachments (Terms of Use)
build system patch (3.10 KB, application/octet-stream)
2011-08-15 18:20 UTC, slepnoga
no flags Details
autoconf_fix-1.3.0.patch (3.48 KB, application/octet-stream)
2011-08-16 12:06 UTC, slepnoga
no flags Details

Description Richard W.M. Jones 2011-08-15 18:15:08 UTC
Description of problem:

This comes from a request by Gentoo packagers.  They are carrying
an out-of-tree patch to do the same:

https://code.google.com/p/rion-overlay/source/browse/app-misc/hivex/files/

Version-Release number of selected component (if applicable):

1.3.0.

Comment 1 slepnoga 2011-08-15 18:20:59 UTC
Created attachment 518305 [details]
build system patch

I support a long time this patch as required Gentoo packages policy

Comment 2 slepnoga 2011-08-15 18:21:34 UTC
patcj for 1.3.0 in progress

Comment 3 slepnoga 2011-08-16 12:06:04 UTC
Created attachment 518473 [details]
autoconf_fix-1.3.0.patch

this patch add --with-{ocaml,perl,python,ruby} options in configure script

Comment 4 Fedora End Of Life 2013-04-03 17:22:25 UTC
This bug appears to have been reported against 'rawhide' during the Fedora 19 development cycle.
Changing version to '19'.

(As we did not run this process for some time, it could affect also pre-Fedora 19 development
cycle bugs. We are very sorry. It will help us with cleanup during Fedora 19 End Of Life. Thank you.)

More information and reason for this action is here:
https://fedoraproject.org/wiki/BugZappers/HouseKeeping/Fedora19

Comment 5 Peter Wu 2014-08-04 08:40:42 UTC
At least hivex 1.3.10 contains these options already. Fixed?

Comment 6 Richard W.M. Jones 2014-08-04 08:44:09 UTC
Yes, this is fixed upstream.

./configure --help
[...]
  --disable-ocaml         Disable OCaml language bindings
  --disable-perl          Disable Perl language bindings
  --disable-python        Disable Python language bindings
  --disable-ruby          Disable Ruby language bindings


Note You need to log in before you can comment on or make changes to this bug.